com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface ForeignKeyColumnMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ForeignKeyColumnMetadata
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Foreign Key Column Metadata'.

  The following features are supported:

  - `Sequence Number`
  - `Foreign Key Column Name`
  - `Primary Key Column Name`
  See Also:
    `DatabasePackage.getForeignKeyColumnMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getForeignKeyColumnName()` Returns the value of the 'Foreign Key Column Name' attribute
    `java.lang.String` | `getPrimaryKeyColumnName()` Returns the value of the 'Primary Key Column Name' attribute
    `int` | `getSequenceNumber()` Returns the value of the 'Sequence Number' attribute
    `void` | `setForeignKeyColumnName(java.lang.String value)` Sets the value of the '`Foreign Key Column Name`' attribute
    `void` | `setPrimaryKeyColumnName(java.lang.String value)` Sets the value of the '`Primary Key Column Name`' attribute
    `void` | `setSequenceNumber(int value)` Sets the value of the '`Sequence Number`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSequenceNumber

          int getSequenceNumber()

      Returns the value of the 'Sequence Number' attribute.

      If the meaning of the 'Sequence Number' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sequence Number' attribute.
      See Also:
        `setSequenceNumber(int)`, `DatabasePackage.getForeignKeyColumnMetadata_SequenceNumber()`

    - #### setSequenceNumber

          void setSequenceNumber(int value)

      Sets the value of the '`Sequence Number`' attribute.
      Parameters:
        `value` - the new value of the 'Sequence Number' attribute.
      See Also:
        `getSequenceNumber()`

    - #### getForeignKeyColumnName

          java.lang.String getForeignKeyColumnName()

      Returns the value of the 'Foreign Key Column Name' attribute.

      If the meaning of the 'Foreign Key Column Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Foreign Key Column Name' attribute.
      See Also:
        `setForeignKeyColumnName(String)`, `DatabasePackage.getForeignKeyColumnMetadata_ForeignKeyColumnName()`

    - #### setForeignKeyColumnName

          void setForeignKeyColumnName(java.lang.String value)

      Sets the value of the '`Foreign Key Column Name`' attribute.
      Parameters:
        `value` - the new value of the 'Foreign Key Column Name' attribute.
      See Also:
        `getForeignKeyColumnName()`

    - #### getPrimaryKeyColumnName

          java.lang.String getPrimaryKeyColumnName()

      Returns the value of the 'Primary Key Column Name' attribute.

      If the meaning of the 'Primary Key Column Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Column Name' attribute.
      See Also:
        `setPrimaryKeyColumnName(String)`, `DatabasePackage.getForeignKeyColumnMetadata_PrimaryKeyColumnName()`

    - #### setPrimaryKeyColumnName

          void setPrimaryKeyColumnName(java.lang.String value)

      Sets the value of the '`Primary Key Column Name`' attribute.
      Parameters:
        `value` - the new value of the 'Primary Key Column Name' attribute.
      See Also:
        `getPrimaryKeyColumnName()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.